OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.TextureMultisample

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_texture_multisample extension, see http://www.opengl.org/registry/specs/ARB/texture_multisample.txt.

Synopsis

- glTexImage2DMultisample :: GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> IO ()
- glTexImage3DMultisample :: GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> IO ()
- glGetMultisamplefv :: GLenum -> GLuint -> Ptr GLfloat -> IO ()
- glSampleMaski :: GLuint -> GLbitfield -> IO ()
- gl_SAMPLE_POSITION :: GLenum
- gl_SAMPLE_MASK :: GLenum
- gl_SAMPLE_MASK_VALUE :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE :: GLenum
- gl_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_MAX_SAMPLE_MASK_WORDS :: GLenum
- gl_MAX_COLOR_TEXTURE_SAMPLES :: GLenum
- gl_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum
- gl_MAX_INTEGER_SAMPLES :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_TEXTURE_SAMPLES :: GLenum
- gl_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum
- gl_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum

# Functions

glTexImage2DMultisample :: GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> IO ()Source

glTexImage3DMultisample :: GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> IO ()Source

glGetMultisamplefv :: GLenum -> GLuint -> Ptr GLfloat -> IO ()Source

glSampleMaski :: GLuint -> GLbitfield -> IO ()Source

# Tokens

gl_SAMPLE_POSITION :: GLenum Source

gl_SAMPLE_MASK :: GLenum Source

gl_SAMPLE_MASK_VALUE :: GLenum Source

gl_TEXTURE_2D_MULTISAMPLE :: GLenum Source

gl_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum Source

gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source

gl_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source

gl_MAX_SAMPLE_MASK_WORDS :: GLenum Source

gl_MAX_COLOR_TEXTURE_SAMPLES :: GLenum Source

gl_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum Source

gl_MAX_INTEGER_SAMPLES :: GLenum Source

gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum Source

gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum Source

gl_TEXTURE_SAMPLES :: GLenum Source

gl_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum Source

gl_SAMPLER_2D_MULTISAMPLE :: GLenum Source

gl_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source

gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source

gl_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source

gl_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source

gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source